"use strict";
const common_vendor = require("../../common/vendor.js");
const BILL_poster_method = require("./method.js");
const BILL_poster_model = require("./model.js");
require("../../common/libraries/apiLoading.js");
require("../../common/libraries/naviHelper.js");
require("../../gen/Apis.js");
require("../../common/libraries/request.js");
require("../../common/store/useWeAppAuthStore.js");
require("../../common/store/useWatermarkStore.js");
require("../../common/store/useWorkStore.js");
if (!Array) {
  const _easycom_hs_tabs2 = common_vendor.resolveComponent("hs-tabs");
  _easycom_hs_tabs2();
}
const _easycom_hs_tabs = () => "../../components/hs-tabs/hs-tabs.js";
if (!Math) {
  _easycom_hs_tabs();
}
const _sfc_main = /* @__PURE__ */ common_vendor.defineComponent({
  __name: "index",
  setup(__props) {
    const tablist = [
      { label: "客户端", value: "wechat" },
      { label: "其他", value: "alipay" }
    ];
    common_vendor.onUnload(() => {
      BILL_poster_model.useModel.alipayQrCode.value = {};
    });
    common_vendor.onLoad((e) => {
      BILL_poster_model.useModel.alipayQrCode.value = {};
      BILL_poster_model.useModel.tabCurrent.value = 0;
      BILL_poster_model.useModel.orderInfo.value = e;
      console.log(e, "订单信息");
      BILL_poster_method.method.setCanvas(e);
    });
    return (_ctx, _cache) => {
      var _a, _b, _c;
      return {
        a: common_vendor.o((_a = common_vendor.unref(BILL_poster_method.method)) == null ? void 0 : _a.changeTab),
        b: common_vendor.p({
          list: tablist,
          current: (_c = (_b = common_vendor.unref(BILL_poster_model.useModel)) == null ? void 0 : _b.tabCurrent) == null ? void 0 : _c.value
        }),
        c: common_vendor.o(
          //@ts-ignore
          (...args) => common_vendor.unref(BILL_poster_method.method).onDownloadPosters && common_vendor.unref(BILL_poster_method.method).onDownloadPosters(...args)
        )
      };
    };
  }
});
const MiniProgramPage = /* @__PURE__ */ common_vendor._export_sfc(_sfc_main, [["__scopeId", "data-v-9912baa1"], ["__file", "/Users/zsq/Sources/github/2025property-pay/pay-employee/src/BILL/poster/index.vue"]]);
wx.createPage(MiniProgramPage);
